using e_suite.Database.Core.Tables.Diagnostics;

namespace e_suite.API.Common.repository;

public interface IExceptionLogRepository
{
    Task<long> LogException(ExceptionLog exception, CancellationToken cancellationToken);

    IQueryable<ExceptionLog> GetExceptionLogs();
}
